INCLUDES    = $(all_includes)
METASOURCES = AUTO

# Install this plugin in the KDE modules directory
kde_module_LTLIBRARIES = libbabelfishplugin.la

libbabelfishplugin_la_SOURCES = plugin_babelfish.cpp
libbabelfishplugin_la_LIBADD  = $(LIB_KPARTS) $(LIB_KHTML)
libbabelfishplugin_la_LDFLAGS = -module $(KDE_PLUGIN) $(all_libraries)

pluginsdir   = $(kde_datadir)/khtml/kpartplugins
plugins_DATA = plugin_babelfish.rc

datadir = $(kde_appsdir)/.hidden
data_DATA = babelfishplugin.desktop

KDE_ICON = babelfish

messages: rc.cpp
	$(XGETTEXT) *.cpp *.h -o $(podir)/babelfish.pot
